<?
require( "../config.php" );

$title='Казино';
aut( );
head( );
if (!isset($user['user'])) { exit('Привет!Неее...Тут лазейка прикрыта...');}
who_add( 0, "enter" );


$posts = $user['posts'];
$gposts = $user['gposts'];
$id= $user['id'];
$stavka=check($_GET['stav']);
$master=mt_rand(1,3);
$myvalent=$stavka+$stavka;
$myzhopa=$posts-$stavka;
$mywin=$posts+$stavka;
$gmyzhopa=$gposts-$stavka;
$gmywin=$gposts+$stavka;

echo "<b>Напёрстки</b><br />";
$action=htmlspecialchars(trim(check($_GET['action'])));
switch ($action){

case 'select':
$stavka=check($_POST['stavka']);
if(!$stavka || $stavka<1){
echo "Пустые параметры!<br />\n";
}else if($stavka>$posts){
print "Ставка не должна превышать ".$posts." постов<br/>";
}else {
print "<a href=\"naperstki.php?action=itog&amp;n=1&amp;stav=".$stavka."\"><img src=\"naperstki/1.gif\" alt=\"1\"/></a>-</a>";
print "<a href=\"naperstki.php?action=itog&amp;n=2&amp;stav=".$stavka."\"><img src=\"naperstki/1.gif\" alt=\"2\"/></a>-</a>";
print "<a href=\"naperstki.php?action=itog&amp;n=3&amp;stav=".$stavka."\"><img src=\"naperstki/1.gif\" alt=\"3\"/></a></a><br/>";
}
break;
case 'itog':
$my=check($_GET['n']);
if(!$stavka || $stavka<1){
echo "Пустые параметры!<br />\n";
}else if($stavka>$posts){
print "Ставка не должна превышать ".$posts." постов<br/>";
}else {
if($my<"$master"){
@mysql_query("update users set posts='".$myzhopa."', gposts='".$gmyzhopa."' where id='".$id."'; ");
print "Вы открыли: ".$my."<br/>";
print "Мастер спрятал в: ".$master."<br/>";
print "Вы проиграли<br/>";
print "Ваш проигрыш: ".$stavka." постов<br/>";
}
if($my=="$master"){
@mysql_query("update users set posts='".$mywin."', gposts='".$gmywin."' where id='".$id."'; ");
print "Вы открыли: ".$my."<br/>";
print "Мастер спрятал в: ".$master."<br/>";
print "Вы выиграли<br/>";
print "Ваш выигрыш: ".$myvalent." постов<br/>";
}
if($my>"$master"){
@mysql_query("update users set posts='".$myzhopa."' , gposts='".$gmyzhopa."' where id='".$id."'; ");
print "Вы открыли: ".$my."<br/>";
print "Мастер спрятал в: ".$master."<br/>";
print "Вы проиграли<br/>";
print "Ваш проигрыш: ".$stavka." постов<br/>";
}
}
break;


default:
if($posts<"3"){
print "У Вас недостаточно постов для игры!<br/>";
print "Необходимо не менее 3 постов<br/>";
}else{
print "У Вас постов: <b>".$posts."</b><br/>";
print "Игровой баланс: <b>".$gposts."</b><br/>";
print "Ваша ставка:<br/>";
print "От 1 до ".$posts."<br/>";
echo '<form action="naperstki.php?action=select" method="post">';
print "<input name=\"stavka\" title=\"stavka\" maxlength=\"10\"/><br/>";
print "<input type=\"submit\" value=\"поставить\" name=\"enter\"><br/>\n";

}
break;
}
print "<a href=\"naperstki.php?\">Напёрстки</a><br/>";
echo "<a href=\"index.php?\">игры</a><br/>";
echo "<a href=\"../enter.php?\">Прихожая</a><br/>";
foot( );
?>